This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 36846 - ActionBar does not dismiss when content which called it is removed
Summary: ActionBar does not dismiss when content which called it is removed
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.0.0
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-12-10 18:49 UTC by Cody Beyer (MSFT)
Modified: 2017-02-01 13:43 UTC (History)
4 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2015-12-10 18:49:29 UTC
### Description 

The following sample app demonstrates an issue where removing the content that caused an action bar to appear will not remove the action bar

### Sample

https://db.tt/xvQ48A6r

### Video

https://db.tt/yxGizkcK

### Steps to Reproduce

1. Download sample
2. Deploy to Android Emulator
3. Long Tap on an item
4. Notice Actionbar
5. Click Clear List

### Expected Results

When Clear List is clicked, the ActionBar should disappear

### Actual Results

It does not disappear

### Versions

=== Xamarin Studio ===

Version 5.10.2 (build 26)
Installation UUID: 96bb0955-3810-4164-be25-5fccce1b0014
Runtime:
	Mono 4.2.1 (explicit/39edf24)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 402010124

=== Xamarin.Profiler ===

Not Installed

=== Xamarin.Android ===

Version: 6.0.0.41 (Business Edition)
Android SDK: /Users/codybeyer/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		6.0   (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.0.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

=== Xamarin Android Player ===

Version: 0.6.5
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 7.2 (9548)
Build 7C68

=== Xamarin.iOS ===

Version: 9.2.2.29 (Business Edition)
Hash: 97af501
Branch: master
Build date: 2015-12-04 18:59:51-0500

=== Xamarin.Mac ===

Version: 2.4.0.112 (Business Edition)

=== Build Information ===

Release ID: 510020026
Git revision: 33a8642aa88f9119949cce312b9186308d8ca76c
Build date: 2015-12-07 17:21:45-05
Xamarin addins: af8ffe5b187898ec2f2f0c78de1bd01ae39b2008
Build lane: monodevelop-lion-cycle6

=== Operating System ===

Mac OS X 10.11.2
Darwin Codys-MacBook-Pro.local 15.2.0 Darwin Kernel Version 15.2.0
    Fri Nov 13 19:56:56 PST 2015
    root:xnu-3248.20.55~2/RELEASE_X86_64 x86_64
Comment 1 adrianknight89 2016-11-28 03:44:42 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/568
Comment 2 Rui Marinho 2016-12-06 12:18:41 UTC
Should be fixed in 2.3.4-pre2
Comment 3 Parmendra Kumar 2017-02-01 13:43:28 UTC
I have checked this issue with 2.3.4.184-pre1 and observed that this issue has been fixed.

Hence closing this issue.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.